com.io7m.smfj.format.text

## Enum SMFTParsingStatus

- java.lang.Object
- - java.lang.Enum<SMFTParsingStatus>
  - - com.io7m.smfj.format.text.SMFTParsingStatus

- All Implemented Interfaces:
    Serializable, Comparable<SMFTParsingStatus>

      public enum SMFTParsingStatus
      extends Enum<SMFTParsingStatus>

  The result of an attempt to parse something.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE` Parsing failed.
    `SUCCESS` Parsing succeeded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFTParsingStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMFTParsingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final SMFTParsingStatus SUCCESS

      Parsing succeeded.

    - #### FAILURE

          public static final SMFTParsingStatus FAILURE

      Parsing failed.

  - ### Method Detail

    - #### values

          public static SMFTParsingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMFTParsingStatus c : SMFTParsingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMFTParsingStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com